@import "@/assets/scss/global";

.exam-detail-wrapper {
    height: 100%;

    span[class*='InputTextField_icon-right-has-data'] {

        rect {
            fill: $secondary-color;
            cursor: pointer;
            pointer-events: all;
        }

        .voucher-validate-icon.disable {
            pointer-events: none !important;
            
            rect {
                fill: rgb(226, 229, 242);
            }
        }
    }

    h5 {
        font-weight: 700;
        font-size: 16px;
        line-height: 24px;
        color: #EF4E2B;
        margin-bottom: 10px;
    }

    .content{
        display: flex;
        flex-direction: column;
        gap: 24px;
        padding: 20px 0;

        .name-unit-test {
            .unit-test-info {
                display: flex;
                flex-direction: column;
                gap: 4px;
                padding: 6px 16px;
                background-color: #E2E5F2;
                border-radius: 12px;
                cursor: not-allowed;
                width: 100%;

                .title {
                    color: #7C68EE;
                    font-size: 12px;
                    font-weight: 500;
                }

                .name {
                    font-weight: 500;
                    font-size: 15px;
                    line-height: 22px;
                    color: #202226;
                    width: 100%;
                    text-overflow: ellipsis;
                    white-space: nowrap;
                    overflow: hidden;
                }
            }
        }

        .voucher-validate {
            .input-field {
                
                input {
                    opacity: 1;
                    filter: brightness(0);
                }
            }

            .voucher-validate-icon {
                width: 32px;
                height: 32px;
                transform: translate(-19px, -6px);
                cursor: not-allowed;
                pointer-events: none;
            }
        }


        .line {
            display: flex;

            p {
                margin: 0;
                min-width: 25%;
                font-weight: 500;
                font-size: 14px;
                line-height: 20px;
                color: $dark-color;
            }

            span {
                font-weight: 500;
                font-size: 14px;
                line-height: 20px;
                color: $dark-color;
            }

            span.discount {
                color: #F79945;
            }

            .ellipsis{
                overflow: hidden;
                text-overflow: ellipsis;
                display: -webkit-box;
                -webkit-box-orient: vertical;
                -webkit-line-clamp: 2;
                white-space: pre-wrap;
            }

            span.total-price {
                font-size: 20px;
                font-weight: 800;
                line-height: 20px;
                color: $success-color;
            }
        }
    }
}